Index: fl_plastic.cxx
===================================================================
--- fl_plastic.cxx	(revision 4327)
+++ fl_plastic.cxx	(working copy)
@@ -265,8 +265,11 @@
 
 
 static void up_round(int x, int y, int w, int h, Fl_Color c) {
-  shade_round(x + 1, y + 1, w - 2, h - 3, "RVQNOPQRSTUVWVQ", c);
-  frame_round(x, y, w, h - 1, "IJLM", c);
+  if (w != h) up_box(x, y, w, h, c);
+  else {
+    shade_round(x + 1, y + 1, w - 2, h - 3, "RVQNOPQRSTUVWVQ", c);
+    frame_round(x, y, w, h - 1, "IJLM", c);
+  }
 }
 
 
@@ -282,8 +285,11 @@
 
 
 static void down_round(int x, int y, int w, int h, Fl_Color c) {
-  shade_round(x + 2, y + 2, w - 4, h - 5, "STUVWWWVT", c);
-  frame_round(x, y, w, h - 1, "MLJI", c);
+  if (w != h) down_box(x, y, w, h, c);
+  else {
+    shade_round(x + 2, y + 2, w - 4, h - 5, "STUVWWWVT", c);
+    frame_round(x, y, w, h - 1, "MLJI", c);
+  }
 }
 
 
